Bug 246613 - [exp-run] move devel/swig30 to devel/swig and update to 4.0.1
Summary: [exp-run] move devel/swig30 to devel/swig and update to 4.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks: 243580
  Show dependency treegraph
 
Reported: 2020-05-20 19:24 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2020-06-17 18:19 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-20 19:24:52 UTC
Move devel/swig30 to devel/swig and update to 4.0.1

- Do not silence installation message
- Update dependent ports:
  - Update *_DEPENDS
  - Remove BINARY_ALIAS

Changes:        http://www.swig.org/news.php
Comment 1 Antoine Brodin freebsd_committer 2020-05-21 20:59:05 UTC
Please provide a patch that can be applied.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-22 19:19:13 UTC
Hmm, I found the problem.
I've removed devel/swig30 part.
Please run "svn mv devel/swig30 devel/swig", then apply the patch.
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-25 19:08:57 UTC
Update the patch since emulators/gem5 was changed by scons update (r536497).
Comment 4 Antoine Brodin freebsd_committer 2020-05-30 15:08:31 UTC
The patch is incomplete

[00:00:30] Warning: (emulators/gem5): Error: emulators/gem5 depends on nonexistent origin 'devel/swig30' (moved to devel/swig); Please contact maintainer of the port to fix this.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-30 17:46:05 UTC
Fixed by removing trailing "30".
Comment 7 Antoine Brodin freebsd_committer 2020-06-02 06:37:08 UTC
On amd64 the new failures are the same
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-06-15 19:54:28 UTC
Patch updated with workaround for opensim-core and fixes for other 3 ports.
Comment 9 Antoine Brodin freebsd_committer 2020-06-16 21:57:20 UTC
Exp-run looks fine
Comment 10 commit-hook freebsd_committer 2020-06-17 18:17:55 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Jun 17 18:17:52 UTC 2020
New revision: 539491
URL: https://svnweb.freebsd.org/changeset/ports/539491

Log:
  Move devel/swig30 to devel/swig and update to 4.0.1

  - Do not silence installation message
  - Update dependent ports:
    - Fix build with swig 4.0.1
    - Update *_DEPENDS
    - Remove BINARY_ALIAS

  Changes:	http://www.swig.org/news.php
  PR:		246613
  Exp-run by:	antoine

Changes:
  head/MOVED
  head/audio/csound/Makefile
  head/audio/lash/Makefile
  head/biology/libsbml/Makefile
  head/cad/freecad/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/opensta/Makefile
  head/comms/gnuradio/Makefile
  head/comms/hamlib/Makefile
  head/comms/owfs/Makefile
  head/converters/p5-Text-Bidi/Makefile
  head/databases/rubygem-sqlite3/Makefile
  head/databases/rubygem-sqlite3-ruby/Makefile
  head/devel/Makefile
  head/devel/libdistance/Makefile
  head/devel/libftdi/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libhid/Makefile
  head/devel/libhid/files/patch-configure
  head/devel/llvm-cheri/Makefile
  head/devel/llvm-devel/Makefile
  head/devel/llvm10/Makefile
  head/devel/llvm60/Makefile
  head/devel/llvm70/Makefile
  head/devel/llvm80/Makefile
  head/devel/llvm90/Makefile
  head/devel/py-instant/Makefile
  head/devel/swig/
  head/devel/swig/Makefile
  head/devel/swig/distinfo
  head/devel/swig/pkg-plist
  head/devel/swig30/
  head/dns/ldns/Makefile
  head/dns/unbound/Makefile
  head/emulators/gem5/Makefile
  head/games/jvgs/Makefile
  head/games/kiki/Makefile
  head/games/py-fife/Makefile
  head/games/py-fife/files/
  head/games/py-fife/files/patch-CMakeLists.txt
  head/graphics/geos/Makefile
  head/graphics/graphviz/Makefile
  head/graphics/hugin/Makefile
  head/graphics/mapserver/Makefile
  head/graphics/mypaint/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/php-geos/Makefile
  head/graphics/py-pivy/Makefile
  head/irc/znc/Makefile
  head/japanese/py-mecab/Makefile
  head/math/cvc4/Makefile
  head/math/cvc4/files/patch-swig4
  head/math/mathgl/Makefile
  head/math/nlopt/Makefile
  head/math/openturns/Makefile
  head/math/plplot/Makefile
  head/math/py-scikit-umfpack/Makefile
  head/math/saga/Makefile
  head/misc/hashdb/Makefile
  head/misc/py-SoapySDR/Makefile
  head/multimedia/kodi/Makefile
  head/multimedia/kodi-devel/Makefile
  head/multimedia/libcec/Makefile
  head/multimedia/libopenshot/Makefile
  head/multimedia/mlt/Makefile
  head/multimedia/obs-studio/Makefile
  head/science/lm/Makefile
  head/science/opensim-core/Makefile
  head/science/opensim-core/files/patch-Bindings-common.i
  head/science/opensim-core/pkg-plist
  head/science/py-rmf/Makefile
  head/science/py-tensorflow/Makefile
  head/security/axTLS/Makefile
  head/security/broccoli/Makefile
  head/security/gpgme/Makefile
  head/security/py-m2crypto/Makefile
  head/security/py-pyscard/Makefile
  head/security/yubioath-desktop/Makefile
  head/security/zeek/Makefile
  head/sysutils/heartbeat/Makefile
  head/sysutils/openipmi/Makefile
  head/sysutils/u-boot-master/Makefile
  head/textproc/zorba/Makefile
Comment 11 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-06-17 18:19:32 UTC
Committed. Thanks!